For the complete documentation index, see llms.txt. This page is also available as Markdown.

Generators

get

Supported generators for column

Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Path parameters
column_idstringRequired
Responses
200

Success: Supported generators

application/json
get/api/v1/generators/{column_id}/supported_types/
GET /api/v1/generators/{column_id}/supported_types/ HTTP/1.1
Accept: */*
{
  "Mockers": {
    "ANY_ADDITIONAL_PROPERTY": {
      "display_name": "text",
      "options": {
        "text": "text",
        "output": [
          "categorical"
        ],
        "suggested": {},
        "numeric_range": {
          "minimum": 1,
          "maximum": 1
        }
      },
      "fields": {
        "ANY_ADDITIONAL_PROPERTY": {
          "type": "text",
          "default": "text",
          "max_length": 1,
          "read_only": false
        }
      }
    }
  },
  "Mask": {
    "ANY_ADDITIONAL_PROPERTY": {
      "display_name": "text",
      "options": {
        "text": "text",
        "output": [
          "categorical"
        ],
        "suggested": {},
        "numeric_range": {
          "minimum": 1,
          "maximum": 1
        }
      },
      "fields": {
        "ANY_ADDITIONAL_PROPERTY": {
          "type": "text",
          "default": "text",
          "max_length": 1,
          "read_only": false
        }
      }
    }
  },
  "Calculated_column": {
    "ANY_ADDITIONAL_PROPERTY": {
      "display_name": "text",
      "options": {
        "text": "text",
        "output": [
          "categorical"
        ],
        "suggested": {},
        "numeric_range": {
          "minimum": 1,
          "maximum": 1
        }
      },
      "fields": {
        "ANY_ADDITIONAL_PROPERTY": {
          "type": "text",
          "default": "text",
          "max_length": 1,
          "read_only": false
        }
      }
    }
  },
  "Dynamic": {
    "ANY_ADDITIONAL_PROPERTY": {
      "display_name": "text",
      "options": {
        "text": "text",
        "output": [
          "categorical"
        ],
        "suggested": {},
        "numeric_range": {
          "minimum": 1,
          "maximum": 1
        }
      },
      "fields": {
        "ANY_ADDITIONAL_PROPERTY": {
          "type": "text",
          "default": "text",
          "max_length": 1,
          "read_only": false
        }
      }
    }
  },
  "Duplicate": {
    "ANY_ADDITIONAL_PROPERTY": {
      "display_name": "text",
      "options": {
        "text": "text",
        "output": [
          "categorical"
        ],
        "suggested": {},
        "numeric_range": {
          "minimum": 1,
          "maximum": 1
        }
      },
      "fields": {
        "ANY_ADDITIONAL_PROPERTY": {
          "type": "text",
          "default": "text",
          "max_length": 1,
          "read_only": false
        }
      }
    }
  },
  "Exclude": {
    "ANY_ADDITIONAL_PROPERTY": {
      "display_name": "text",
      "options": {
        "text": "text",
        "output": [
          "categorical"
        ],
        "suggested": {},
        "numeric_range": {
          "minimum": 1,
          "maximum": 1
        }
      },
      "fields": {
        "ANY_ADDITIONAL_PROPERTY": {
          "type": "text",
          "default": "text",
          "max_length": 1,
          "read_only": false
        }
      }
    }
  },
  "Hash": {
    "ANY_ADDITIONAL_PROPERTY": {
      "display_name": "text",
      "options": {
        "text": "text",
        "output": [
          "categorical"
        ],
        "suggested": {},
        "numeric_range": {
          "minimum": 1,
          "maximum": 1
        }
      },
      "fields": {
        "ANY_ADDITIONAL_PROPERTY": {
          "type": "text",
          "default": "text",
          "max_length": 1,
          "read_only": false
        }
      }
    }
  },
  "Generate": {
    "ANY_ADDITIONAL_PROPERTY": {
      "display_name": "text",
      "options": {
        "text": "text",
        "output": [
          "categorical"
        ],
        "suggested": {},
        "numeric_range": {
          "minimum": 1,
          "maximum": 1
        }
      },
      "fields": {
        "ANY_ADDITIONAL_PROPERTY": {
          "type": "text",
          "default": "text",
          "max_length": 1,
          "read_only": false
        }
      }
    }
  }
}
get

Supported generators

Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Responses
200

Success: Supported generators

application/json
get/api/v1/generators/supported_types/
GET /api/v1/generators/supported_types/ HTTP/1.1
Accept: */*
{
  "Mockers": {
    "ANY_ADDITIONAL_PROPERTY": {
      "display_name": "text",
      "options": {
        "text": "text",
        "output": [
          "categorical"
        ],
        "suggested": {},
        "numeric_range": {
          "minimum": 1,
          "maximum": 1
        }
      },
      "fields": {
        "ANY_ADDITIONAL_PROPERTY": {
          "type": "text",
          "default": "text",
          "max_length": 1,
          "read_only": false
        }
      }
    }
  },
  "Mask": {
    "ANY_ADDITIONAL_PROPERTY": {
      "display_name": "text",
      "options": {
        "text": "text",
        "output": [
          "categorical"
        ],
        "suggested": {},
        "numeric_range": {
          "minimum": 1,
          "maximum": 1
        }
      },
      "fields": {
        "ANY_ADDITIONAL_PROPERTY": {
          "type": "text",
          "default": "text",
          "max_length": 1,
          "read_only": false
        }
      }
    }
  },
  "Calculated_column": {
    "ANY_ADDITIONAL_PROPERTY": {
      "display_name": "text",
      "options": {
        "text": "text",
        "output": [
          "categorical"
        ],
        "suggested": {},
        "numeric_range": {
          "minimum": 1,
          "maximum": 1
        }
      },
      "fields": {
        "ANY_ADDITIONAL_PROPERTY": {
          "type": "text",
          "default": "text",
          "max_length": 1,
          "read_only": false
        }
      }
    }
  },
  "Dynamic": {
    "ANY_ADDITIONAL_PROPERTY": {
      "display_name": "text",
      "options": {
        "text": "text",
        "output": [
          "categorical"
        ],
        "suggested": {},
        "numeric_range": {
          "minimum": 1,
          "maximum": 1
        }
      },
      "fields": {
        "ANY_ADDITIONAL_PROPERTY": {
          "type": "text",
          "default": "text",
          "max_length": 1,
          "read_only": false
        }
      }
    }
  },
  "Duplicate": {
    "ANY_ADDITIONAL_PROPERTY": {
      "display_name": "text",
      "options": {
        "text": "text",
        "output": [
          "categorical"
        ],
        "suggested": {},
        "numeric_range": {
          "minimum": 1,
          "maximum": 1
        }
      },
      "fields": {
        "ANY_ADDITIONAL_PROPERTY": {
          "type": "text",
          "default": "text",
          "max_length": 1,
          "read_only": false
        }
      }
    }
  },
  "Exclude": {
    "ANY_ADDITIONAL_PROPERTY": {
      "display_name": "text",
      "options": {
        "text": "text",
        "output": [
          "categorical"
        ],
        "suggested": {},
        "numeric_range": {
          "minimum": 1,
          "maximum": 1
        }
      },
      "fields": {
        "ANY_ADDITIONAL_PROPERTY": {
          "type": "text",
          "default": "text",
          "max_length": 1,
          "read_only": false
        }
      }
    }
  },
  "Hash": {
    "ANY_ADDITIONAL_PROPERTY": {
      "display_name": "text",
      "options": {
        "text": "text",
        "output": [
          "categorical"
        ],
        "suggested": {},
        "numeric_range": {
          "minimum": 1,
          "maximum": 1
        }
      },
      "fields": {
        "ANY_ADDITIONAL_PROPERTY": {
          "type": "text",
          "default": "text",
          "max_length": 1,
          "read_only": false
        }
      }
    }
  },
  "Generate": {
    "ANY_ADDITIONAL_PROPERTY": {
      "display_name": "text",
      "options": {
        "text": "text",
        "output": [
          "categorical"
        ],
        "suggested": {},
        "numeric_range": {
          "minimum": 1,
          "maximum": 1
        }
      },
      "fields": {
        "ANY_ADDITIONAL_PROPERTY": {
          "type": "text",
          "default": "text",
          "max_length": 1,
          "read_only": false
        }
      }
    }
  }
}

Last updated

Was this helpful?